# NamedLocalThread<T> constructor

NamedLocalThread<T>(

1. String name

)

Creates a NamedLocalThread with the given descriptive `name`.

## Parameters:

- `name`: A descriptive name for this thread-local variable

## Example:

    // Create named thread-local variables for different purposes
    final transactionContext = NamedThreadLocal<Transaction>('transactionContext');
    final securityContext = NamedThreadLocal<SecurityToken>('securityContext');
    final requestScope = NamedThreadLocal<Request>('requestScope');

## Implementation

    NamedLocalThread(this.name);